# Interface FunctionInternalType

Type of an internal function pointer

#### Category

Function types

#### Hierarchy

- FunctionInternalType

- Defined in codec/lib/format/types.ts:291

#####
Index

### Properties

inputParameterTypes
mutability
outputParameterTypes
typeClass
visibility

## Properties

### inputParameterTypes

inputParameterTypes: Type[]

- Defined in codec/lib/format/types.ts:295

### mutability

mutability: Mutability

- Defined in codec/lib/format/types.ts:294

### outputParameterTypes

outputParameterTypes: Type[]

- Defined in codec/lib/format/types.ts:296

### typeClass

typeClass: "function"

- Defined in codec/lib/format/types.ts:292

### visibility

visibility: "internal"

- Defined in codec/lib/format/types.ts:293

Generated using TypeDoc